import Layout from '@/layout'
import ToolsLayout from '@/layout/ToolsLayout'
const base = [
  {
    path: '/',
    component: Layout, // 假设你有一个 Layout 组件
    children: [
      {
        path: '',
        redirect: '/home'
      },
      {
        path: 'home',
        name: 'home',
        meta: { title: '首页' },
        component: () => import('@/views/home/index')
      }
    ]
  },
  {
    path: '/knowledge-base',
    component: ToolsLayout,
    children: [
      {
        path: '',
        name: 'knowledgeBase',
        meta: { title: '产品知识库' },
        component: () => import('@/views/knowledgeBase/index')
      }
    ]
  },
  {
    path: '/data-assets',
    component: ToolsLayout,
    children: [
      {
        path: '',
        name: 'dataAssets',
        meta: { title: '数据资产' },
        component: () => import('@/views/dataAssets/index')
      }
    ]
  },
  {
    path: '/my-chart',
    component: ToolsLayout,
    children: [
      {
        path: '',
        name: 'myChart',
        meta: { title: '我的图表' },
        component: () => import('@/views/myChart/index')
      }
    ]
  },
  {
    path: '/team-chart',
    component: ToolsLayout,
    children: [
      {
        path: '',
        name: 'teamChart',
        meta: { title: '团队共享' },
        component: () => import('@/views/teamChart/index')
      }
    ]
  },
  {
    path: '/login',
    name: 'login',
    meta: { title: '登录' },
    component: () => import('@/views/login')
  },
  {
    path: '/signAgain',
    name: 'signAgain',
    meta: { title: '重新登录', noLogin: true },
    component: () => import('@/views/login/signAgain')
  },
  {
    path: '/reminder',
    name: 'reminder',
    meta: { title: '退出登录', noLogin: true },
    component: () => import('@/views/login/reminder')
  },
  {
    path: '/404',
    name: '404',
    meta: { title: '404' },
    hidden: true,
    component: () => import('@/views/error/404')
  }
]

export default [...base, { path: '/', redirect: '/home' }, { path: '*', redirect: '/404', hidden: true }]
