// const COLOR = ['#80FFA5', '#00DDFF', '#37A2FF', '#FF0087', '#FFBF00']
const DEFAULT_LEGEND = {
  show: true,
  type: 'scroll'
}
export const bar = {
  sort: 0,
  title: '柱状图',
  icon: 'mdi-chart-bar',
  option: {
    legend: DEFAULT_LEGEND,
    xAxis: {
      type: 'category',
      data: []
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [],
        type: 'bar'
      }
    ]
  }
}

export const line = {
  sort: 1,
  title: '折线图',
  icon: 'mdi-chart-line',
  option: {
    legend: DEFAULT_LEGEND,
    xAxis: {
      type: 'category',
      data: []
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [],
        type: 'line',
        smooth: true
      }
    ]
  }
}

export const pie = {
  sort: 2,
  title: '饼图',
  icon: 'mdi-chart-pie',
  option: {
    // title: {
    //   text: 'Referer of a Website',
    //   subtext: 'Fake Data',
    //   left: 'center'
    // },
    tooltip: {
      trigger: 'item'
    },
    legend: DEFAULT_LEGEND,
    series: [
      {
        name: 'Access From',
        type: 'pie',
        radius: '50%',
        data: [],
        emphasis: {
          itemStyle: {
            shadowBlur: 10,
            shadowOffsetX: 0,
            shadowColor: 'rgba(0, 0, 0, 0.5)'
          }
        }
      }
    ]
  }
}

// 散点
export const scatter = {
  sort: 10,
  title: '散点图',
  icon: 'mdi-chart-bubble',
  option: {
    legend: DEFAULT_LEGEND,
    xAxis: {
      type: 'category',
      data: []
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [],
        type: 'scatter'
      }
    ]
  }
}

// k线图
// export const candlestick = {
//   sort: 20,
//   title: 'K线图',
//   icon: 'mdi-chart-waterfall',
//   option: {
//     legend: DEFAULT_LEGEND,
//     xAxis: {
//       type: 'category',
//       data: []
//     },
//     yAxis: {
//       type: 'value'
//     },
//     series: [
//       {
//         data: [],
//         type: 'candlestick'
//       }
//     ]
//   }
// }

// 雷达图
export const radar = {
  sort: 30,
  title: '雷达图',
  icon: 'mdi-radar',
  option: {
    legend: DEFAULT_LEGEND,
    radar: {},
    series: [
      {
        data: [],
        type: 'radar'
      }
    ]
  }
}
